com.holonplatform.datastore.jdbc.config

## Interface JdbcDatastoreCommodityContext

- All Superinterfaces:
    ConnectionHandler, com.holonplatform.core.datastore.DatastoreCommodityContext, com.holonplatform.core.datastore.DatastoreCommodityHandler, com.holonplatform.core.ExpressionResolver.ExpressionResolverProvider, JdbcOperationContext, Serializable, SQLContext
  All Known Implementing Classes:
    DefaultJdbcDatastore

      public interface JdbcDatastoreCommodityContext
      extends JdbcOperationContext, com.holonplatform.core.datastore.DatastoreCommodityContext

  JDBC Datastore `DatastoreCommodityContext`.
  Since:
    5.0.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.datastore.DatastoreCommodityContext

      `com.holonplatform.core.datastore.DatastoreCommodityContext.CommodityConfigurationException, com.holonplatform.core.datastore.DatastoreCommodityContext.CommodityNotAvailableException`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Optional<com.holonplatform.jdbc.DatabasePlatform>` | `getDatabase()` Get the database type to which `DataSource` is connected.
    `DataSource` | `getDataSource()` Get the `DataSource` bound to the datastore.

    - ### Methods inherited from interface com.holonplatform.datastore.jdbc.context.JdbcOperationContext

      `getIdentifierResolutionStrategy, getStatementConfigurator, prepareInsertStatement, prepareStatement, withSharedConnection`

    - ### Methods inherited from interface com.holonplatform.datastore.jdbc.composer.SQLContext

      `getDialect, getTypeConverter, getValueDeserializer, getValueSerializer, trace`

    - ### Methods inherited from interface com.holonplatform.core.ExpressionResolver.ExpressionResolverProvider

      `getExpressionResolvers`

    - ### Methods inherited from interface com.holonplatform.datastore.jdbc.composer.ConnectionHandler

      `withConnection, withConnection`

    - ### Methods inherited from interface com.holonplatform.core.datastore.DatastoreCommodityHandler

      `create, getAvailableCommodities, hasCommodity`

- - ### Method Detail

    - #### getDataSource

          DataSource getDataSource()

      Get the `DataSource` bound to the datastore.
      Returns:
        Datastore DataSource

    - #### getDatabase

          Optional<com.holonplatform.jdbc.DatabasePlatform> getDatabase()

      Get the database type to which `DataSource` is connected.
      Returns:
        The `DatabasePlatform` of the `DataSource` database, empty if not available

Copyright © 2019 The Holon Platform. All rights reserved.